Create Book
API Reference
POST
/api/v1/experience/agent/booking/createcreate booking (reserve product and price in process 30 mins)
Document History
| version | publish date | Description |
|---|---|---|
| 1.0.0 | 25-10-2026 | Intial Specification |
Header Parameters
Content-Type
required
string
Content type
Example: application/json
Authorization
required
string
Authorization
Example: Bearer {accessToken}
Request Body
productId
required
String
product id
packageId
required
String
package id
activityDate
required
String
activity date
if packageType="opendate" will send redeemStart of package
if packageType="opendate" will send redeemStart of package
timeslot
optional
String
timeslot
contact
required
object
ticket objects
title
required
String
contact title
firstname
required
String
contact first name
lastname
required
String
contact last name
email
required
String
contact email
phone
required
String
contact phone
prefixPhone
required
String
contact prefix phone
nationality
required
String
contact nationality
options
required
array object
options objects
type
required
String
options type
quantity
required
String
options quantity
questions
optional
array object
questions
groupId
optional
String
group Id
questionlist
optional
array object
question list.
when questions.isTravellerAllRequired is set to true, answers for all questions must be submitted for every traveler.
when questions.isTravellerAllRequired is set to true, answers for all questions must be submitted for every traveler.
id
optional
String
question id
answer
optional
String
answer
note : if questionlist.type = 'select' will set answer = questionlist.options.key
note : if questionlist.type = 'select' will set answer = questionlist.options.key
Response Schema
ref
required
string
Reference transaction
status
required
boolean
Status
statusCode
required
string
Status code
message
required
String
Error message
data
required
Object
Data response object
bookingInternalNo
required
String
booking internal number
currency
required
String
currency
totalQuantity
required
Number
total quantity
totalPrice
required
Number
Total price.
There is a possibility that the price may change. Please verify the price again before confirmation.
There is a possibility that the price may change. Please verify the price again before confirmation.
isPriceChange
required
Boolean
default false=price not Change